/** \file Bone.cpp
 * \brief The implementation of the 'Bone' class.
 */

#include "Bone.h"

namespace OSkA
{
	Bone::Bone()
	{
		name="";
		parentId=-1;
		transform=new Matrix();
	}

	Bone::~Bone()
	{
	}

	void Bone::setName(char* name)
	{
		this->name=name;
	}

	void Bone::setParentId(int parentId)
	{
		this->parentId=parentId;
	}

	void Bone::setTransform(Matrix* transform)
	{
		this->transform=transform;
	}

	char* Bone::getName()
	{
		return name;
	}

	int Bone::getParentId()
	{
		return parentId;
	}

	Matrix* Bone::getTransform()
	{
		return transform;
	}

	bool Bone::isRoot()
	{
		return(parentId==-1);
	}
}